Tspi_Data_Unbind(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Data_Unbind - Decrypts data that has been bound to a key

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Data_Unbind(TSS_HENCDATA hEncData,             TSS_HKEY hEncKey,
                            UINT32*      pulUnboundDataLength, BYTE**   prgbUnboundData);

DESCRIPTION

Tspi_Data_Unbind decrypts the encrypted data blob exportedfrom the data object used in Tspi_Data_Bind. The encrypted data blob must be imported to the object addressed by Tspi_SetAttribData before calling this method.

PARAMETERS

  hEncData
The handle of the data object which contains the encrypted data.

  hEncKey
Handle to the key object addressing the private key which is used to decrypt the data.

  pulDataLength
Receives the length of the data at the parameter prgbUnboundData.

  prgbUnboundData
Receives a pointer to a buffer containing the plaintext data.

RETURN CODES

Tspi_Data_Unbind returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hEncData or hEncKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

TSS_E_INVALID_ENCSCHEME
    Invalid encryption scheme.

TSS_E_ENC_INVALID_LENGTH
    Invalid length of data to be encypted.

TSS_E_ENC_NO_DATA
    No data to encrypt.

TSS_E_ENC_INVALID_TYPE
    Invalid encryption type.

CONFORMING TO

Tspi_Data_Unbind conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Data_Bind(3), Tspi_Data_Unseal(3), Tspi_Data_Seal(3).